:root {
    --primary-color: #3e5cc2;
    --secondary-color: #b19fdf;
    --accent-color: #d5c6fb;
    --text-color: #080a15;
    --background-color: #f9f9fd;
}

.dark {
    --primary-color: #3eb69e;
    --secondary-color: #203f74;
    --accent-color: #4d576a;
    --text-color: #eff6f4;
    --background-color: #050a09;
}

.background-primary { background-color: var(--primary-color); }
.background-secondary { background-color: var(--secondary-color); }
.background-accent { background-color: var(--accent-color); }
.background-text { background-color: var(--text-color); }
.background-background { background-color: var(--background-color); }

.color-primary { color: var(--primary-color); }
.color-secondary { color: var(--secondary-color); }
.color-accent { color: var(--accent-color); }
.color-text { color: var(--text-color); }
.color-background { color: var(--background-color); }